Subject: bug#43252: 27.1; DBus properties lack type hints or overrides

From: Hugh Daschbach <[email-masked]>
Date: Tue, 08 Sep 2020 21:25:37 -0700

Hugh Daschbach writes:

> Michael Albinus writes:
>
> Thanks, Michael.  I think I still have issues.
>
> The attached script generates two boolean properties, then 
> issues 
> a GetManagedObjects method call.  The two properties are not 
> returned, though they are in the registered objects table.

My apologies.  I left off the script invocation:

./src/emacs -q -Q --load ~/.config/emacs/register-property-test.el 
--eval "(main)"

> The script also drops an elisp ‘dbus-get-all-managed-objects’ 
> request in
> the *scratch* buffer.  If I execute that, I get a similar 
> failure 
> to #43251.  That may not be surprising.

And please ignore the above paragraph.  That was an operator 
error.

Thanks,
Hugh